#!/bin/bash
#This script is the code to generate the prediction image from the neural network.

IMAGE_PATH=$(realpath ./inference/sample)
WEIGHT_PATH=$(realpath ./data/model_final.pth)
RESULT_PATH=$(realpath ./inference/result)

mkdir -p $RESULT_PATH

for I in $IMAGE_PATH/* ;
do
  echo $I
  python inference_NN.py --image_path $I \
                         --weight_path $WEIGHT_PATH \
                         --result_path $RESULT_PATH
done
